## org.springframework.mock.web.portlet
Class MockActionResponse

    java.lang.Object
      org.springframework.mock.web.portlet.MockPortletResponse
          org.springframework.mock.web.portlet.MockStateAwareResponse
              org.springframework.mock.web.portlet.MockActionResponse

All Implemented Interfaces:
  javax.portlet.ActionResponse, javax.portlet.PortletResponse, javax.portlet.StateAwareResponse

    public class MockActionResponse

extends MockStateAwareResponse
implements javax.portlet.ActionResponse

Mock implementation of the `ActionResponse` interface.

Since:
  2.0
Author:
  John A. Lewis, Juergen Hoeller

Constructor Summary
`MockActionResponse()` Create a new MockActionResponse with a default `MockPortalContext`.
`MockActionResponse(javax.portlet.PortalContext portalContext)` Create a new MockActionResponse.

Method Summary
`String` `getRedirectedUrl()`
`void` `sendRedirect(String location)`
`void` `sendRedirect(String location, String renderUrlParamName)`
`void` `setPortletMode(javax.portlet.PortletMode portletMode)`
`void` `setRenderParameter(String key, String value)`
`void` `setRenderParameter(String key, String[] values)`
`void` `setRenderParameters(Map<String,String[]> parameters)`
`void` `setWindowState(javax.portlet.WindowState windowState)`

Methods inherited from class org.springframework.mock.web.portlet.MockStateAwareResponse
`getEvent, getEvent, getEventNames, getPortletMode, getRenderParameter, getRenderParameterMap, getRenderParameterNames, getRenderParameterValues, getWindowState, removePublicRenderParameter, setEvent, setEvent`

Methods inherited from class org.springframework.mock.web.portlet.MockPortletResponse
`addProperty, addProperty, addProperty, createElement, encodeURL, getCookie, getCookies, getNamespace, getPortalContext, getProperties, getProperty, getPropertyNames, getXmlProperties, getXmlProperty, getXmlPropertyNames, setNamespace, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.StateAwareResponse
`getPortletMode, getRenderParameterMap, getWindowState, removePublicRenderParameter, setEvent, setEvent`

Methods inherited from interface javax.portlet.PortletResponse
`addProperty, addProperty, addProperty, createElement, encodeURL, getNamespace, setProperty`

Constructor Detail

### MockActionResponse

    public MockActionResponse()

  Create a new MockActionResponse with a default `MockPortalContext`.

  See Also:
    `MockPortalContext`

### MockActionResponse

    public MockActionResponse(javax.portlet.PortalContext portalContext)

  Create a new MockActionResponse.

  Parameters:
    `portalContext` - the PortalContext defining the supported PortletModes and WindowStates

Method Detail

### setWindowState

    public void setWindowState(javax.portlet.WindowState windowState)
                        throws javax.portlet.WindowStateException

  Specified by:
    `setWindowState` in interface `javax.portlet.StateAwareResponse`
  Overrides:
    `setWindowState` in class `MockStateAwareResponse`
  Throws:
    `javax.portlet.WindowStateException`

### setPortletMode

    public void setPortletMode(javax.portlet.PortletMode portletMode)
                        throws javax.portlet.PortletModeException

  Specified by:
    `setPortletMode` in interface `javax.portlet.StateAwareResponse`
  Overrides:
    `setPortletMode` in class `MockStateAwareResponse`
  Throws:
    `javax.portlet.PortletModeException`

### setRenderParameters

    public void setRenderParameters(Map<String,String[]> parameters)

  Specified by:
    `setRenderParameters` in interface `javax.portlet.StateAwareResponse`
  Overrides:
    `setRenderParameters` in class `MockStateAwareResponse`

### setRenderParameter

    public void setRenderParameter(String key,
                                   String value)

  Specified by:
    `setRenderParameter` in interface `javax.portlet.StateAwareResponse`
  Overrides:
    `setRenderParameter` in class `MockStateAwareResponse`

### setRenderParameter

    public void setRenderParameter(String key,
                                   String[] values)

  Specified by:
    `setRenderParameter` in interface `javax.portlet.StateAwareResponse`
  Overrides:
    `setRenderParameter` in class `MockStateAwareResponse`

### sendRedirect

    public void sendRedirect(String location)
                      throws IOException

  Specified by:
    `sendRedirect` in interface `javax.portlet.ActionResponse`
  Throws:
    `IOException`

### sendRedirect

    public void sendRedirect(String location,
                             String renderUrlParamName)
                      throws IOException

  Specified by:
    `sendRedirect` in interface `javax.portlet.ActionResponse`
  Throws:
    `IOException`

### getRedirectedUrl

    public String getRedirectedUrl()